<?php
/**
 * Provide general settings and options for SGC configuration
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://gitlab.com/mlinton/
 * @since      1.0.0
 *
 * @package    Simplegolfclub
 * @subpackage Simplegolfclub/admin/partials
 */

?>

<div>
    <table>
        <tr>
            <td><h2><?php _e('Simple Golf Club', SGC_TEXTDOMAIN) ?></h2></td>
            <td><?php _e('v', SGC_TEXTDOMAIN) ?><?php _e(SGC_VERSION) ?></td>
        </tr>
        <tr>
            <td colspan="2"><a href="https://simplegolfclub.com/" target="_blank"><?php _e('SimpleGolfClub.com', SGC_TEXTDOMAIN) ?></a></td>
        </tr>
        <tr>
            <td colspan="2"><a href="https://gitlab.com/mlinton/" target="_blank"><?php _e('Matthew Linton', SGC_TEXTDOMAIN) ?></a></td>
        </tr>
    </table>
</div>

<div>
    <p><?php _e('Simple Golf Club is an easy way to organize small groups of people to play golf rounds.<br>
        Create teams, add players, schedule events, and track player scores using a simple interface.<br>
        For more information, check out the <a href="https://simplegolfclub.com/" target="_blank">SGC Website</a>.<br>
        To fully utilize SGC&#39;s features, try installing an SGC compatible theme such as <a href="https://wordpress.org/themes/simple-golf-club-2021/" target="_blank">Simple Golf Club 2021</a>.<br>
        For information on using or designing themes for SGC checkout the <a href="https://gitlab.com/mlinton/simplegolfclub/-/wikis/home" target="_blank">Wiki</a>.', SGC_TEXTDOMAIN) ?></p>
</div>
